WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: I'm unable to get irssi working. Help.  (Read 2052 times)

Offline toasted

  • WikiUser
  • *
  • Posts: 13
I'm unable to get irssi working. Help.
« on: January 14, 2017, 11:37:47 AM »
I installed irssi by running the below command.

 $tce-load -wi irssi.tcz


and the installation was successful.

But, when I try to execute irssi I get the following output:
 
                    irssi: error while loading shared libraries: libperl.so: cannot open shared object file: No such file or directory

Do I have to re-install perl5?

If so how would I do that ?

I forgot to mention that this only the CLI version. No gui.

 
« Last Edit: January 14, 2017, 11:43:00 AM by toasted »

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #1 on: January 14, 2017, 12:20:24 PM »
Hi
You can use tce-ab from the CLI to search "Provides" for missing libraries like libperl.so

Code: [Select]
tce-ab

tce-ab - Tiny Core Extension: Application Browser

S)earch P)rovides K)eywords or Q)uit:p

Enter search term, e.g. iwconfig: libperl.so
If used to using the CLI you'll have no issues using tce-ab which will lead you to install extensions providing any required lib's after escaping the extension info file
« Last Edit: January 14, 2017, 12:27:15 PM by coreplayer2 »

Offline toasted

  • WikiUser
  • *
  • Posts: 13
Re: I'm unable to get irssi working. Help.
« Reply #2 on: January 14, 2017, 01:00:19 PM »
Thanks coreplayer2

I tried that and nothing happened.

How would I uninstall perl safely?

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #3 on: January 14, 2017, 01:27:06 PM »
I'm a little disturbed with
Quote
I tried that and nothing happened.
What were you expecting? 
after learning that perl5.tcz is needed to install the missing library did you continue with tce-ab to install perl5.tcz?
did perl5 actually install?
did installing perl solve the current missing lib issue?

Quote
How would I uninstall perl safely?
you can use tce-audit to manipulate and remove / delete extensions

While I prefer APPs, I find CLI utilities quite useful.  So perhaps
Code: [Select]
tce-audit delete /pathtotcedir/optional/perl5.tcz
« Last Edit: January 14, 2017, 01:29:32 PM by coreplayer2 »

Offline toasted

  • WikiUser
  • *
  • Posts: 13
Re: I'm unable to get irssi working. Help.
« Reply #4 on: January 14, 2017, 02:20:27 PM »
I was expecting that maybe it would of installed libperl.so and im  new to tiny core and linux in general

It says perl5 is already installed.

And when I try to delete perl5 it says,

Code: [Select]
autoconf.tcz
automake.tcz
irssi.tcz
perl_xml_parser.tcz
perl5.tcz cannot be deleted.

Offline nitram

  • Hero Member
  • *****
  • Posts: 1052
Re: I'm unable to get irssi working. Help.
« Reply #5 on: January 14, 2017, 02:27:49 PM »
I was Irssi maintainer but just compiled for another user. As noted it works in graphics, never tested in TTY. Forum member hiro indicated a newer Irssi was available and was planning to submit an update, he wil be new maintainer. Seems repo gets updated every 2nd Sunday, tomorrow may be an updated Irssi in the repository.

Looking at old build notes, perl5 was already added as a dependency but there may be a Perl issue, see paste below. I am not booted into TC at present and can't confirm correct install directory for perl5: /usr/local/lib/perl5/i486-linux.
Code: [Select]
http://www.irssi.org/

-----

download irssi-08.17.tar.gz to /tmp

-----

cd /tmp

-----

tar xvf irssi-08.17.tar.gz

-----

cd /tmp/irssi-08.17/

-----

tce-load -i compiletc squashfs-tools perl5 openssl-dev glib2-dev

note: notes indicate v2.6 required but worked with TC 6 glib2 v2.4

-----

CC="gcc -march=i486 -mtune=i686 -Os -pipe" CXX="g++ -march=i486 -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti" ./configure --prefix=/usr/local --disable-static --localstatedir=/var

-----

configure results:

Building text frontend ........... : yes, using terminfo
Building irssi bot ............... : no
Building irssi proxy ............. : no
Building with module support ..... : yes
Building with Perl support ....... : static (in irssi binary)
Perl library directory ........... : /usr/local/lib/perl5/i486-linux
  - NOTE: This was automatically set to the same directory you gave with
  --prefix. If you want the perl libraries to install to their 'correct'
  path, you'll need to give --with-perl-lib=site option to configure.
  Anyway, installing perl to this directory should work just as well.
Install prefix ................... : /usr/local

Building with IPv6 support ....... : yes
Building with SSL support ........ : yes
Building with 64bit DCC support .. : yes
Building with garbage collector .. : no
Building with DANE support ....... : no
Building with true color support.. : no

-----

make

-----

mkdir /tmp/irssi

-----

sudo make DESTDIR=/tmp/irssi install-strip

-----

cd /tmp

-----

sudo chown -R root:root /tmp/irssi

-----

mksquashfs /tmp/irssi irssi.tcz

-----

touch irssi.tcz.dep

-----

echo -e  "perl5.tcz \nopenssl.tcz \nglib2.tcz \nncurses.tcz" >> irssi.tcz.dep

-----

cp irssi.tcz irssi.tcz.dep /etc/sysconfig/tcedir/optional/

-----


As noted in the paste above, there may be a Perl issue that needs more investigation, hopefully already addressed in the new build. If not use Irssi in graphics for now and report any ongoing issues after you update to latest release.

Offline toasted

  • WikiUser
  • *
  • Posts: 13
Re: I'm unable to get irssi working. Help.
« Reply #6 on: January 14, 2017, 02:41:46 PM »
nitram,

I cant wait for tomorrow! I'm excited about this new irssi build for Tiny Core.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #7 on: January 14, 2017, 02:46:36 PM »
Ok thanks, I understand the objectives now.

This issue has gone beyond a simple dependency install issue, which hopefully will be resolved by the extension maintainers.

I noticed that libperl.so is obviously installed with the perl5 extension
Code: [Select]
tc@box:~$ file /tmp/tcloop/perl5/usr/local/lib/perl5/5.22.0/i486-linux/CORE/libperl.so
/tmp/tcloop/perl5/usr/local/lib/perl5/5.22.0/i486-linux/CORE/libperl.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

perhaps a version issue?

Offline nitram

  • Hero Member
  • *****
  • Posts: 1052
Re: I'm unable to get irssi working. Help.
« Reply #8 on: January 14, 2017, 02:49:16 PM »
Hopefully new version all fixed. Just took quick look, Perl reportedly static, maybe Perl conflict.

In the meantime, try removing  perl5.tcz  entry from  /etc/sysconfig/tcedir/optional/irssi.tcz.dep so it looks like:
openssl.tcz
glib2.tcz
ncurses.tcz

Reboot system and re-test Irssi, otherwise just wait, sorry don't have time to test and troubleshoot today.

Edit: Probably correct coreplayer2 or just simple Perl conflict as described here or a simple symlink may be helpful.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #9 on: January 14, 2017, 02:52:39 PM »
And when I try to delete perl5 it says,

Code: [Select]
autoconf.tcz
automake.tcz
irssi.tcz
perl_xml_parser.tcz
perl5.tcz cannot be deleted.

An FYI, This response informs us that perl5.tcz can not be uninstalled due to it's requirement of the above extensions.

If I understand correctly you're question, to install libperl.so you'll need to have perl5 extension installed.  In this case per5 extension is installed as a required dependency of irssi (along with other installed extensions).
« Last Edit: January 14, 2017, 02:55:54 PM by coreplayer2 »

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #10 on: January 14, 2017, 02:57:50 PM »
BTW symlink appears good

However..
Code: [Select]
/tmp/tcloop/irssi $ depList

These dependencies are found
glib2.tcz
ncurses.tcz
openssl.tcz
These dependencies are missing
libperl.so

/tmp/tcloop/irssi $
« Last Edit: January 14, 2017, 03:02:48 PM by coreplayer2 »

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #11 on: January 14, 2017, 03:09:19 PM »
@ Nitram

Code: [Select]
/tmp/tcloop/irssi $ realpath libperl.so
/tmp/tcloop/irssi/libperl.so
/tmp/tcloop/irssi $
what wrong with this picture?

Offline toasted

  • WikiUser
  • *
  • Posts: 13
Re: I'm unable to get irssi working. Help.
« Reply #12 on: January 14, 2017, 03:15:33 PM »
coreplayer2,
Yeah it could be a version issue. Hopefully the new build with fix it. And deleting perl5 might take a little bit of work it seems because of the other dependencies. I also risk breaking something else I think.

nitram,
I tried removing it from the list and it still would not launch. It aslo yields the same error.

Do you guys think locally re-compiling irssi from source would fix the perl issue?




Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2509
Re: I'm unable to get irssi working. Help.
« Reply #13 on: January 14, 2017, 09:00:32 PM »
@ Nitram

Code: [Select]
/tmp/tcloop/irssi $ realpath libperl.so
/tmp/tcloop/irssi/libperl.so
/tmp/tcloop/irssi $
what wrong with this picture?
Well I'm glad Nitram didn't reply, I accidentally copied and paste the wrong text..  oh well I think the OP knows what to do


Sent from my iPhone using Tapatalk

Offline toasted

  • WikiUser
  • *
  • Posts: 13
Re: I'm unable to get irssi working. Help.
« Reply #14 on: January 14, 2017, 09:30:33 PM »
What time should I tce-load the new irssi?